// file: $isip/class/asr/SpeechRecognizer/sr_05.cc
// version: $Id: sr_05.cc 7820 2002-02-27 22:50:45Z alphonso $
//

// isip include files
//
#include "SpeechRecognizer.h"
#include <HiddenMarkovModel.h>

// method: run
//
// arguments:
//  const Sdb& sdb: (input) input signal data base
//
// return: a boolean value indicating status
//
// this method runs speech recognizer.
//
boolean SpeechRecognizer::run(Sdb& sdb_a) {

  // branch on the learning machine
  //
  if(algorithm_d == HMM) {

    hmm_d.setParamFile(param_file_name_d);
    hmm_d.setDebug(debug_level_d);
    hmm_d.setVerbosity(verbosity_d);
    hmm_d.setVerify(verify_d);
    
    // invoke the HMM run method
    //
    hmm_d.run(sdb_a);
  }

  // exit gracefully
  //
  return true;
}
